using System.Xml.Serialization;

namespace sodoff.Schema
{
    [XmlRoot(ElementName = "TrackInfo", IsNullable = true, Namespace = "")]
    [Serializable]
    public class TrackInfo
    {
        [XmlElement(ElementName = "id", IsNullable = true)]
        public int? UserTrackID;

        [XmlElement(ElementName = "utcid")]
        public int UserTrackCategoryID;

        [XmlElement(ElementName = "uid")]
        public Guid UserID;

        [XmlElement(ElementName = "nm")]
        public string Name;

        [XmlElement(ElementName = "iu")]
        public string ImageURL;

        [XmlElement(ElementName = "is")]
        public bool IsShared;

        [XmlElement(ElementName = "sl", IsNullable = true)]
        public int? Slot;

        [XmlElement(ElementName = "cd", IsNullable = true)]
        public DateTime? CreatedDate;

        [XmlElement(ElementName = "md", IsNullable = true)]
        public DateTime? ModifiedDate;
    }
}
